Get source sync
curl --request GET \
--url https://api.example.com/v1/api/sources/{sourceId}/syncs/{syncId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/api/sources/{sourceId}/syncs/{syncId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/api/sources/{sourceId}/syncs/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sync": {
"environment": {
"id": "<string>",
"name": "<string>",
"branch": "<string>"
},
"mappingRevision": "<string>",
"commitSha": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"issues": [
{
"message": "<string>",
"path": [
"<string>"
],
"column": 123,
"line": 123
}
],
"manifestDigest": "<string>",
"reconciliation": {
"apps": [
{
"action": "update",
"id": "<string>",
"current": {
"archivedAt": "2023-11-07T05:31:56Z",
"config": {
"autoDeploy": true,
"vulnerabilityScanning": true,
"container": {
"port": 123,
"network": "<string>",
"networkAlias": "<string>",
"volumes": [
{
"name": "<string>",
"mountPath": "<string>",
"initialData": "image"
}
],
"resources": {
"cpus": 123,
"memory": "<string>"
}
},
"context": "<string>",
"deploymentInputs": [
"<string>"
],
"health": {
"path": "<string>",
"timeoutSeconds": 123
},
"hooks": {
"postDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
},
"preDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
}
},
"id": "<string>",
"name": "<string>",
"server": "<string>",
"sourceBranch": "<string>",
"logDrains": [
"otlp"
],
"jobs": [
{
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
}
],
"kind": "app",
"buildServer": {
"ip": "<string>",
"allowRuntimeFallback": true,
"transfer": "registry",
"registry": "<string>",
"architecture": "amd64"
},
"deployment": {
"type": "dockerfile",
"context": "<string>",
"arguments": {},
"resources": {
"cpus": 123,
"memory": "<string>"
},
"dockerfile": "<string>",
"timeoutSeconds": 123,
"target": "<string>",
"architecture": "amd64",
"cache": {
"enabled": true,
"scope": "<string>"
}
},
"description": "<string>",
"dockerfile": "<string>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"preview": {
"domain": "<string>",
"enabled": true,
"ttlHours": 123
},
"externalSecrets": {},
"ingress": {
"type": "proxy"
},
"rollout": {
"type": "rolling",
"replicas": 123,
"maxSurge": 123,
"maxUnavailable": 123,
"startupDeadlineSeconds": 123,
"minimumHealthySeconds": 123,
"failureThreshold": 123,
"drainSeconds": 123,
"terminationSeconds": 123
},
"telemetry": {
"integration": "<string>",
"signals": [
"metrics"
],
"protocol": "otlp-http",
"sampling": 123,
"cardinalityLimit": 123,
"redactAttributes": [
"<string>"
]
},
"tls": {
"mode": "direct"
}
},
"configDigest": "<string>",
"id": "<string>",
"identity": "<string>"
},
"desired": {
"autoDeploy": true,
"vulnerabilityScanning": true,
"container": {
"port": 123,
"network": "<string>",
"networkAlias": "<string>",
"volumes": [
{
"name": "<string>",
"mountPath": "<string>",
"initialData": "image"
}
],
"resources": {
"cpus": 123,
"memory": "<string>"
}
},
"context": "<string>",
"deploymentInputs": [
"<string>"
],
"health": {
"path": "<string>",
"timeoutSeconds": 123
},
"hooks": {
"postDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
},
"preDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
}
},
"id": "<string>",
"name": "<string>",
"server": "<string>",
"sourceBranch": "<string>",
"logDrains": [
"otlp"
],
"jobs": [
{
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
}
],
"kind": "app",
"buildServer": {
"ip": "<string>",
"allowRuntimeFallback": true,
"transfer": "registry",
"registry": "<string>",
"architecture": "amd64"
},
"deployment": {
"type": "dockerfile",
"context": "<string>",
"arguments": {},
"resources": {
"cpus": 123,
"memory": "<string>"
},
"dockerfile": "<string>",
"timeoutSeconds": 123,
"target": "<string>",
"architecture": "amd64",
"cache": {
"enabled": true,
"scope": "<string>"
}
},
"description": "<string>",
"dockerfile": "<string>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"preview": {
"domain": "<string>",
"enabled": true,
"ttlHours": 123
},
"externalSecrets": {},
"ingress": {
"type": "proxy"
},
"rollout": {
"type": "rolling",
"replicas": 123,
"maxSurge": 123,
"maxUnavailable": 123,
"startupDeadlineSeconds": 123,
"minimumHealthySeconds": 123,
"failureThreshold": 123,
"drainSeconds": 123,
"terminationSeconds": 123
},
"telemetry": {
"integration": "<string>",
"signals": [
"metrics"
],
"protocol": "otlp-http",
"sampling": 123,
"cardinalityLimit": 123,
"redactAttributes": [
"<string>"
]
},
"tls": {
"mode": "direct"
}
}
}
],
"compose": [
{
"action": "update",
"id": "<string>",
"current": {
"archivedAt": "2023-11-07T05:31:56Z",
"config": {
"id": "<string>",
"name": "<string>",
"autoDeploy": true,
"server": "<string>",
"file": "<string>",
"overrides": [
"<string>"
],
"profiles": [
"<string>"
],
"services": {},
"strategy": "recreate",
"container": {
"port": 123,
"volumes": [
"<unknown>"
],
"network": "<string>",
"networkAlias": "<string>",
"resources": {
"cpus": 123,
"memory": "<string>"
}
},
"context": "<string>",
"deploymentInputs": [
"<string>"
],
"health": {
"path": "<string>",
"timeoutSeconds": 123
},
"hooks": {
"postDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
},
"preDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
}
},
"kind": "compose",
"sourceBranch": "<string>",
"vulnerabilityScanning": true,
"description": "<string>",
"externalSecrets": {},
"deployment": "<unknown>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"ingress": "<unknown>",
"jobs": [
{
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
}
],
"logDrains": [
"otlp"
],
"preview": {
"domain": "<string>",
"enabled": true,
"ttlHours": 123
},
"tls": {
"mode": "direct"
}
},
"configDigest": "<string>",
"id": "<string>",
"identity": "<string>"
},
"desired": {
"id": "<string>",
"name": "<string>",
"autoDeploy": true,
"server": "<string>",
"file": "<string>",
"overrides": [
"<string>"
],
"profiles": [
"<string>"
],
"services": {},
"strategy": "recreate",
"container": {
"port": 123,
"volumes": [
"<unknown>"
],
"network": "<string>",
"networkAlias": "<string>",
"resources": {
"cpus": 123,
"memory": "<string>"
}
},
"context": "<string>",
"deploymentInputs": [
"<string>"
],
"health": {
"path": "<string>",
"timeoutSeconds": 123
},
"hooks": {
"postDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
},
"preDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
}
},
"kind": "compose",
"sourceBranch": "<string>",
"vulnerabilityScanning": true,
"description": "<string>",
"externalSecrets": {},
"deployment": "<unknown>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"ingress": "<unknown>",
"jobs": [
{
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
}
],
"logDrains": [
"otlp"
],
"preview": {
"domain": "<string>",
"enabled": true,
"ttlHours": 123
},
"tls": {
"mode": "direct"
}
}
}
],
"resources": [
{
"action": "update",
"id": "<string>",
"current": {
"archivedAt": "2023-11-07T05:31:56Z",
"config": {
"autoDeploy": true,
"container": {
"command": [
"<string>"
],
"resources": {
"cpus": 123,
"memory": "<string>"
},
"volumes": [
{
"mountPath": "<string>",
"name": "<string>"
}
],
"network": "<string>",
"networkAlias": "<string>",
"port": 123
},
"health": {
"command": [
"<string>"
],
"timeoutSeconds": 123,
"type": "command"
},
"id": "<string>",
"image": "<string>",
"kind": "image",
"name": "<string>",
"server": "<string>",
"sourceBranch": "<string>",
"logDrains": [
"otlp"
],
"externalSecrets": {},
"telemetry": {
"integration": "<string>",
"signals": [
"metrics"
],
"protocol": "otlp-http",
"sampling": 123,
"cardinalityLimit": 123,
"redactAttributes": [
"<string>"
]
},
"ingress": {
"type": "proxy"
},
"access": {
"sshTunnel": {
"hostPort": 123
}
},
"backup": {
"retention": {
"keepLast": 123
},
"integration": "<string>",
"azureBlob": {
"container": "<string>",
"prefix": "<string>",
"storageAccount": "<string>"
},
"gcs": {
"bucket": "<string>",
"prefix": "<string>",
"region": "<string>"
},
"restoreFrom": "s3",
"s3": {
"bucket": "<string>",
"encryption": "AES256",
"prefix": "<string>",
"kmsKeyId": "<string>",
"region": "<string>"
},
"schedule": {
"cron": "<string>",
"timezone": "UTC"
}
},
"description": "<string>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"tls": {
"mode": "direct"
}
},
"configDigest": "<string>",
"id": "<string>",
"identity": "<string>"
},
"desired": {
"autoDeploy": true,
"container": {
"command": [
"<string>"
],
"resources": {
"cpus": 123,
"memory": "<string>"
},
"volumes": [
{
"mountPath": "<string>",
"name": "<string>"
}
],
"network": "<string>",
"networkAlias": "<string>",
"port": 123
},
"health": {
"command": [
"<string>"
],
"timeoutSeconds": 123,
"type": "command"
},
"id": "<string>",
"image": "<string>",
"kind": "image",
"name": "<string>",
"server": "<string>",
"sourceBranch": "<string>",
"logDrains": [
"otlp"
],
"externalSecrets": {},
"telemetry": {
"integration": "<string>",
"signals": [
"metrics"
],
"protocol": "otlp-http",
"sampling": 123,
"cardinalityLimit": 123,
"redactAttributes": [
"<string>"
]
},
"ingress": {
"type": "proxy"
},
"access": {
"sshTunnel": {
"hostPort": 123
}
},
"backup": {
"retention": {
"keepLast": 123
},
"integration": "<string>",
"azureBlob": {
"container": "<string>",
"prefix": "<string>",
"storageAccount": "<string>"
},
"gcs": {
"bucket": "<string>",
"prefix": "<string>",
"region": "<string>"
},
"restoreFrom": "s3",
"s3": {
"bucket": "<string>",
"encryption": "AES256",
"prefix": "<string>",
"kmsKeyId": "<string>",
"region": "<string>"
},
"schedule": {
"cron": "<string>",
"timezone": "UTC"
}
},
"description": "<string>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"tls": {
"mode": "direct"
}
}
}
],
"summary": {}
},
"startedAt": "2023-11-07T05:31:56Z",
"status": "running"
},
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Get source sync
Get source sync through the Towbar REST API.
GET
/
sources
/
{sourceId}
/
syncs
/
{syncId}
Get source sync
Required permissions: repository.read. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on September 5, 2026
